### STAGE 1: Maven Package ###
FROM openjdk:8-jdk
COPY . /
RUN chmod +x ./mvnw
RUN ./mvnw --batch-mode package

### STAGE 2: Run ###
FROM openjdk:8-jdk
COPY --from=0 target/*.jar app.jar
ENV SERVER_PORT=8000
ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/app.jar"]
EXPOSE 8000